OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.MultiDrawIndirect

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBMultiDrawIndirect :: MonadIO m => m Bool
- gl_ARB_multi_draw_indirect :: Bool
- glMultiDrawArraysIndirect :: MonadIO m => GLenum -> Ptr a -> GLsizei -> GLsizei -> m ()
- glMultiDrawElementsIndirect :: MonadIO m => GLenum -> GLenum -> Ptr a -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBMultiDrawIndirect :: MonadIO m => m Bool Source #

Is the ARB_multi_draw_indirect extension supported?

gl_ARB_multi_draw_indirect :: Bool Source #

Is the ARB_multi_draw_indirect extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMultiDrawIndirect` in those cases instead.

# Functions

glMultiDrawArraysIndirect Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr a | `indirect` pointing to `COMPSIZE(drawcount,stride)` elements of type `a`.
-> GLsizei | `drawcount`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.

glMultiDrawElementsIndirect Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indirect` pointing to `COMPSIZE(drawcount,stride)` elements of type `a`.
-> GLsizei | `drawcount`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.